%{?nodejs_find_provides_and_requires}

%global packagename is-fullwidth-code-point
%global enable_tests 0
# tests disabed until 'ava' is packaged for Fedora

Name:		nodejs-is-fullwidth-code-point
Version:	1.0.0
Release:	1%{?dist}
Summary:	Check if the character represented by a given Unicode code point is fullwidth

License:	MIT
URL:		https://github.com/sindresorhus/is-fullwidth-code-point
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/is-fullwidth-code-point/f2152d357f41f82785436d428e4f8ede143b7548/test.js


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(ava)
%endif

Requires:	nodejs

%description
Check if the character represented by a given Unicode code point is fullwidth


%prep
%setup -q -n package
# setup the tests
cp -r %{SOURCE1} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
